<?php

namespace Controller;

use Zeedhi\Framework\DTO\Response\Message;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Request;
use Exception;

class ErpController extends \Zeedhi\Framework\Controller\Simple {

    protected $erpController;
    
    public function __construct(\Service\ErpService $erpService) {
        $this->erpService = $erpService;
    }

    public function consumirOPEmAndamento(Request $request, Response $response) {
		
		try {
			$row = $request->getRow()[0];

			$ops = $this->erpService->consumirOPEmAndamento();
			
			if(count($ops) > 0){
				$response->addDataSet(new \Zeedhi\Framework\DataSource\DataSet('OP', $ops));
			}else{
				$response->addDataSet(new \Zeedhi\Framework\DataSource\DataSet('OP', ['Nenhum registro encontrado!']));
			}

		}catch(\Exception $e){
			$dataSet = array(
				'Status'	=> 'E',
				'Mensagem'  => $e->getMessage()
			);
			$response->addDataSet(new \Zeedhi\Framework\DataSource\DataSet('OP', $dataSet));
		}
	}

}