<?php

namespace Controller;

use Zeedhi\Framework\DTO\Response\Message;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Request;
use Exception;

class ErpController extends \Zeedhi\Framework\Controller\Simple {

    protected $erpController;
    
    public function __construct(\Service\ErpService $erpService) {
        $this->erpService = $erpService;
    }

	public function baseApi(Request $request, Response $response){
		try {
			$row = $request->getRow()[0];
			if($row['apikey'] == 'bb590639be848f2aec65dab5f90b009b'){
				$result = $this->erpService->baseApi($row);
				$response->addDataSet(new \Zeedhi\Framework\DataSource\DataSet('response', $result));
			}else{
				$response->addDataSet(new \Zeedhi\Framework\DataSource\DataSet('response', ['Access denied!']));
			}
		}catch(\Exception $e){
			$dataSet = array(
				'Status'	=> 'E',
				'Mensagem'  => $e->getMessage()
			);
			$response->addDataSet(new \Zeedhi\Framework\DataSource\DataSet('OPERADOR', $dataSet));
		}
	}
	
    public function consumirOPEmAndamento(Request $request, Response $response) {
		try {
			$ops = $this->erpService->consumirOPEmAndamento();
			
			if(count($ops) > 0){
				$response->addDataSet(new \Zeedhi\Framework\DataSource\DataSet('OP', $ops));
			}else{
				$response->addDataSet(new \Zeedhi\Framework\DataSource\DataSet('OP', ['Nenhum registro encontrado!']));
			}
		}catch(\Exception $e){
			$dataSet = array(
				'Status'	=> 'E',
				'Mensagem'  => $e->getMessage()
			);
			$response->addDataSet(new \Zeedhi\Framework\DataSource\DataSet('OP', $dataSet));
		}
	}
	
}